### Method

# GimpUi ProcedureDialog set_sensitive

#### Declaration [src]

    void
    gimp_procedure_dialog_set_sensitive (
      GimpProcedureDialog* dialog,
      const gchar* property,
      gboolean sensitive,
      GObject* config,
      const gchar* config_property,
      gboolean config_invert
    )

#### Description [src]

Sets sensitivity of the widget associated to `property` in `dialog`. If `config` is `NULL`, then it is set to the value of `sensitive`. Otherwise `sensitive` is ignored and sensitivity is bound to the value of `config_property` of `config` (or the negation of this value if `config_reverse` is `TRUE`).

#### Parameters

`property` | `const gchar*`
| Name of a property of the `GimpProcedure` `dialog` has been created for.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`sensitive` | `gboolean`
| Whether the widget associated to `property` should be sensitive.
`config` | `GObject`
| An optional config object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`config_property` | `const gchar*`
| Name of a property of `config`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`config_invert` | `gboolean`
| Whether to negate the value of `config_property`.